# Method: projects.locations.clusters.generateAccessToken

- [HTTP request](https://docs.cloud.google.com/distributed-cloud/connected/latest/docs/reference/container/rest/v1/projects.locations.clusters/generateAccessToken#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/distributed-cloud/connected/latest/docs/reference/container/rest/v1/projects.locations.clusters/generateAccessToken#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/distributed-cloud/connected/latest/docs/reference/container/rest/v1/projects.locations.clusters/generateAccessToken#body.request_body)
- [Response body](https://docs.cloud.google.com/distributed-cloud/connected/latest/docs/reference/container/rest/v1/projects.locations.clusters/generateAccessToken#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/distributed-cloud/connected/latest/docs/reference/container/rest/v1/projects.locations.clusters/generateAccessToken#body.GenerateAccessTokenResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/distributed-cloud/connected/latest/docs/reference/container/rest/v1/projects.locations.clusters/generateAccessToken#body.aspect)
- [Try it!](https://docs.cloud.google.com/distributed-cloud/connected/latest/docs/reference/container/rest/v1/projects.locations.clusters/generateAccessToken#try-it)

Generates an access token for a Cluster.

### HTTP request

`GET https://edgecontainer.googleapis.com/v1/{cluster=projects/*/locations/*/clusters/*}:generateAccessToken`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `cluster` | `string` Required. The resource name of the cluster. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `cluster`: - `edgecontainer.clusters.generateAccessToken` |

### Request body

The request body must be empty.

### Response body

An access token for a cluster.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "accessToken": string, "expireTime": string } ``` |

| Fields ||
|---|---|
| `accessToken` | `string` Output only. Access token to authenticate to k8s api-server. |
| `expireTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Output only. Timestamp at which the token will expire. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).